LinuxQuestions.org
Visit Jeremy's Blog.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 01-18-2023, 08:22 AM   #1591
HQuest
Member
 
Registered: Jan 2018
Location: 2001:470:c2d0::/56
Distribution: Anything I can interface with
Posts: 99

Rep: Reputation: Disabled

Quote:
Originally Posted by marav View Post
Any link to a bug report would be appreciated ;-)
https://lists.apache.org/thread/5wo1...dbht7ns19x57yo
 
Old 01-18-2023, 08:35 AM   #1592
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,441

Rep: Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191
Quote:
Originally Posted by HQuest View Post
Code:
In that case, maybe your could run the 2.4.55 mod_http2 with "LogLevel http2:debug" until some 500s show up. 
That would be very interesting to analyze.
not a bug yet
 
Old 01-19-2023, 12:43 AM   #1593
perrin4869
Member
 
Registered: Dec 2014
Location: Japan
Distribution: slackware64-current
Posts: 60

Rep: Reputation: Disabled
Small bug in RAID detection in mkinitrd_command_generator.sh
I got a new setup and it is failing for me here, just figured out the cause.

Code:
 $ cat /proc/mdstat
Personalities : [linear] [raid0] [raid1] [raid10] [raid6] [raid5] [raid4] [multipath]
md126 : active raid1 sdd2[1] sde2[0]
      976629696 blocks super 1.2 [2/2] [UU]
      bitmap: 0/8 pages [0KB], 65536KB chunk

md127 : active raid0 nvme1n1p2[1] nvme0n1p2[0]
      1931212800 blocks super 1.2 512k chunks

md0 : active raid0 sdb[0] sdc[1]
      976508928 blocks super 1.2 512k chunks

unused devices: <none>
My OS is installed in /dev/md127p1
However, when I run the command generator, it doesn't add the raid -R flag like it did in my previous setup.
This is because /dev/md127 is not the last device to be listed here.

The code checking for raid in the command generator is as follows:

Code:
  # Finally, we should check if base device is
  # a real block device or a RAID volume:
  for MD in  $(cat /proc/mdstat | grep -w active | cut -d' ' -f1) ; do
    if [ "$BASEDEV" = "/dev/$MD" ]; then
      USING_RAID=1
      break
    fi
  done
  # Additional check in case $BASEDEV is a partition of /dev/$MD:
  for BLK in $(sfdisk -ld /dev/$MD 2> /dev/null | grep "^/dev" | cut -d " " -f 1); do
    if [ "$BASEDEV" = "$BLK" ]; then
      USING_RAID=1
      break
    fi
  done
The first check fails because the OS is installed inside a partition.
Then MD is md0, not md127, because that was the last device in the list.
Then it checks whether the OS is installed in a partition of md0, and since it isn't, the RAID flag is omitted.
The fix is to check for each RAID device again:

Code:
  for MD in  $(cat /proc/mdstat | grep -w active | cut -d' ' -f1) ; do
    if [ "$BASEDEV" = "/dev/$MD" ]; then
      USING_RAID=1
      break
    fi
  done
  
  # Additional check in case $BASEDEV is a partition of /dev/$MD:
  for MD in  $(cat /proc/mdstat | grep -w active | cut -d' ' -f1) ; do
    for BLK in $(sfdisk -ld /dev/$MD 2> /dev/null | grep "^/dev" | cut -d " " -f 1); do
      if [ "$BASEDEV" = "$BLK" ]; then
        USING_RAID=1
        break
      fi
    done
  done
 
2 members found this post helpful.
Old 01-19-2023, 07:40 AM   #1594
drumz
Member
 
Registered: Apr 2005
Location: Oklahoma, USA
Distribution: Slackware
Posts: 907

Rep: Reputation: 697Reputation: 697Reputation: 697Reputation: 697Reputation: 697Reputation: 697
Quote:
Originally Posted by perrin4869 View Post
Small bug in RAID detection in mkinitrd_command_generator.sh
I got a new setup and it is failing for me here, just figured out the cause.

Code:
 $ cat /proc/mdstat
Personalities : [linear] [raid0] [raid1] [raid10] [raid6] [raid5] [raid4] [multipath]
md126 : active raid1 sdd2[1] sde2[0]
      976629696 blocks super 1.2 [2/2] [UU]
      bitmap: 0/8 pages [0KB], 65536KB chunk

md127 : active raid0 nvme1n1p2[1] nvme0n1p2[0]
      1931212800 blocks super 1.2 512k chunks

md0 : active raid0 sdb[0] sdc[1]
      976508928 blocks super 1.2 512k chunks

unused devices: <none>
My OS is installed in /dev/md127p1
However, when I run the command generator, it doesn't add the raid -R flag like it did in my previous setup.
This is because /dev/md127 is not the last device to be listed here.

The code checking for raid in the command generator is as follows:

Code:
  # Finally, we should check if base device is
  # a real block device or a RAID volume:
  for MD in  $(cat /proc/mdstat | grep -w active | cut -d' ' -f1) ; do
    if [ "$BASEDEV" = "/dev/$MD" ]; then
      USING_RAID=1
      break
    fi
  done
  # Additional check in case $BASEDEV is a partition of /dev/$MD:
  for BLK in $(sfdisk -ld /dev/$MD 2> /dev/null | grep "^/dev" | cut -d " " -f 1); do
    if [ "$BASEDEV" = "$BLK" ]; then
      USING_RAID=1
      break
    fi
  done
The first check fails because the OS is installed inside a partition.
Then MD is md0, not md127, because that was the last device in the list.
Then it checks whether the OS is installed in a partition of md0, and since it isn't, the RAID flag is omitted.
The fix is to check for each RAID device again:

Code:
  for MD in  $(cat /proc/mdstat | grep -w active | cut -d' ' -f1) ; do
    if [ "$BASEDEV" = "/dev/$MD" ]; then
      USING_RAID=1
      break
    fi
  done
  
  # Additional check in case $BASEDEV is a partition of /dev/$MD:
  for MD in  $(cat /proc/mdstat | grep -w active | cut -d' ' -f1) ; do
    for BLK in $(sfdisk -ld /dev/$MD 2> /dev/null | grep "^/dev" | cut -d " " -f 1); do
      if [ "$BASEDEV" = "$BLK" ]; then
        USING_RAID=1
        break
      fi
    done
  done
In my opinion the code is more clear like this (and I think it was originally trying to do):

Code:
  for MD in  $(cat /proc/mdstat | grep -w active | cut -d' ' -f1) ; do
    if [ "$BASEDEV" = "/dev/$MD" ]; then
      USING_RAID=1
      break
    fi
    # Additional check in case $BASEDEV is a partition of /dev/$MD:
    for BLK in $(sfdisk -ld /dev/$MD 2> /dev/null | grep "^/dev" | cut -d " " -f 1); do
      if [ "$BASEDEV" = "$BLK" ]; then
        USING_RAID=1
        break
      fi
    done
    # Break out of outer loop if needed.
    if [ "$USING_RAID" = "1" ]; then
      break
    fi
  done
 
2 members found this post helpful.
Old 01-19-2023, 05:36 PM   #1595
reddog83
Member
 
Registered: Apr 2018
Distribution: Slackware 15.0/Current
Posts: 466

Rep: Reputation: 240Reputation: 240Reputation: 240
glib 2.74.5
Quote:
Overview of changes in GLib 2.74.5
==================================

* Bugs fixed:
- #2843 gtk_show_uri can't open browser on MSYS2 on Windows (Luca Bacci)
- #2881 Invalid read of size 4 in get_matched_substring_number (Philip
Withnall)
- #2883 g_file_set_contents fails on mingw64 with "no error" if file size >
INT_MAX (CCode)
- !3165 gthread-posix: need to #include <errno.h>
- !3166 Backport !3160 “GWin32AppInfo: Check for local file path first” to
glib-2-74
- !3182 Backport !3178 “glocalfileinfo: Don't reset mtime tv_sec when setting
tv_usec” to glib-2-74
- !3197 Backport !3194 “gregex: Prevent invalid memory access for unmatched
subpatterns” to glib-2-74
- !3204 Backport !3200 “gfileutils: Use 'write' with 'count' <= max value of
its return type” to glib-2-74
- !3214 Backport !3213 “gvariant: Optimise g_variant_print() for nested
maybes” to glib-2-74

* Translation updates:
- Abkhazian (Nart Tlisha)
https://download.gnome.org/sources/g...74.5.sha256sum
https://download.gnome.org/sources/g...-2.74.5.tar.xz
 
Old 01-19-2023, 05:38 PM   #1596
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,441

Rep: Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191
Thunderbird 102.7.0

WARNING:
Code:
Thunderbird 102.7.0 will not automatically update due to a critical authentication 
issue with Microsoft 365 Business accounts. 
Affected users should not update until Thunderbird 102.7.1 is released with a fix
Release notes:
https://www.thunderbird.net/en-US/th.../releasenotes/
 
1 members found this post helpful.
Old 01-19-2023, 05:44 PM   #1597
reddog83
Member
 
Registered: Apr 2018
Distribution: Slackware 15.0/Current
Posts: 466

Rep: Reputation: 240Reputation: 240Reputation: 240
Upower 0.99.20
Quote:
Version 0.99.20
---------------
Released: 2022-07-13

Bug fixes:
- Ensure polling is resumed after suspend (#198)
- Bugfixes to state guessing code (#146)
- Stability improvements of automated tests
Version 0.99.19
---------------
Released: 2022-06-08

Changes:
- Move state guessing into DisplayDevice
- Always use 90% threshold to consider a battery full
- Various test improvements

Bug fixes:
- Fix mice showing up as keyboards (#189)
- Allow unit test inspector to fail (#187)
- Fix test cases when daemon shuts down too slowly (#188)
https://gitlab.freedesktop.org/upowe...0.99.20.tar.gz


Here is a patch to change upower from autotools to meson.
Quote:
--- upower.SlackBuild 2021-06-18 13:08:16.000000000 -0500
+++ upower.SlackBuild.new 2023-01-11 05:46:28.655628032 -0600

@@ -90,21 +93,26 @@
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;

-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --disable-static \
- --enable-man-pages \
- --build=$TARGET || exit 1
-
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
+ -Dsystemdsystemunitdir="no" \
+ -Dudevhwdbdir=/etc/udev/hwdb.d \
+ -Dudevrulesdir=/etc/udev/rules.d \
+ -Dos_backend=linux \
+ .. || exit 1
+
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..

# Add upower policy allowing users in the 'power' group
# to suspend/hibernate the computer:
@@ -127,7 +135,7 @@

mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README \
+ AUTHORS COPYING HACKING RELEASE COMMITMENT NEWS README \
$PKG/usr/doc/$PKGNAM-$VERSION

Last edited by reddog83; 01-19-2023 at 06:16 PM.
 
2 members found this post helpful.
Old 01-19-2023, 06:30 PM   #1598
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,441

Rep: Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191
Quote:
Originally Posted by reddog83 View Post
Upower 0.99.20


https://gitlab.freedesktop.org/upowe...0.99.20.tar.gz


Here is a patch to change upower from autotools to meson.
Have you tested it (with KDE at least) ?
Here it does not work well (just the screen backlight icon, no battery)

Last edited by marav; 01-19-2023 at 06:32 PM.
 
Old 01-19-2023, 06:34 PM   #1599
reddog83
Member
 
Registered: Apr 2018
Distribution: Slackware 15.0/Current
Posts: 466

Rep: Reputation: 240Reputation: 240Reputation: 240
I have tested it on Gnome 42.8 and 43.1 both of which do not have this effect that you are mentioning. I will look into the reason way KDE is not fairing so well then report back.
 
2 members found this post helpful.
Old 01-19-2023, 09:00 PM   #1600
reddog83
Member
 
Registered: Apr 2018
Distribution: Slackware 15.0/Current
Posts: 466

Rep: Reputation: 240Reputation: 240Reputation: 240
Here is a pix of Plasma running side by side with Gnome 43.1.
I have installed upower 0.99.20
[inst] gnome : upower-v0.99.20-x86_64-1
Quote:
bash-5.2# upower -d | grep percentage
percentage: 55% (should be ignored)
percentage: 0%
and Gnome
[inst] gnome : gnome-desktop-43.1-x86_64-1_gfs

I am not quite sure why upower is not working for you... Could you explain more please.
Attached Thumbnails
Click image for larger version

Name:	Screenshot_20230119_205651.jpg
Views:	44
Size:	111.5 KB
ID:	40310  

Last edited by reddog83; 01-19-2023 at 09:01 PM.
 
Old 01-20-2023, 01:11 AM   #1601
marav
LQ Sage
 
Registered: Sep 2018
Location: Gironde
Distribution: Slackware
Posts: 5,441

Rep: Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191Reputation: 4191
Quote:
Originally Posted by reddog83 View Post

I am not quite sure why upower is not working for you... Could you explain more please.
You don't have the battery % in the task bar (like I said previously, only screen icon with backlight control, no battery icon)
Attached Thumbnails
Click image for larger version

Name:	Screenshot_20230120_080904.png
Views:	42
Size:	42.5 KB
ID:	40311  

Last edited by marav; 01-20-2023 at 01:49 AM.
 
Old 01-20-2023, 04:35 AM   #1602
reddog83
Member
 
Registered: Apr 2018
Distribution: Slackware 15.0/Current
Posts: 466

Rep: Reputation: 240Reputation: 240Reputation: 240
Ok i get what ur saying.
https://bugs.kde.org/show_bug.cgi?id=422111

Here one dev says that per user we can try this.
Exec=sleep 20 && /usr/lib64/libexec/org_kde_powerdevil
But it seems like this has been an issue in powerdevil since 5.20

I will try this later today when i get back home.
 
2 members found this post helpful.
Old 01-21-2023, 03:14 PM   #1603
reddog83
Member
 
Registered: Apr 2018
Distribution: Slackware 15.0/Current
Posts: 466

Rep: Reputation: 240Reputation: 240Reputation: 240
KDE Plasma 5.27

Beta: Jan 19, 2023
KDE Plasma 5.27 Final release: Feb 14, 2023

Sorry jumped the gun a little...

--snipit--
Quote:
KDE Plasma battery monitor will now show the charging, discharging, and fully charged status for non-power supply batteries such as a wireless mouse, and mobile phones when connected to the Plasma desktop. MR 2210

Also, the battery monitor stops showing 100% when the battery is fully charged. You can only see the power icon without any text. MR 2306
https://www.debugpoint.com/kde-plasma-5-27/

Last edited by reddog83; 01-21-2023 at 03:35 PM.
 
1 members found this post helpful.
Old 01-21-2023, 03:17 PM   #1604
rizitis
Member
 
Registered: Mar 2009
Location: Greece,Crete
Distribution: Slackware64-current, Slint
Posts: 708
Blog Entries: 1

Rep: Reputation: 515Reputation: 515Reputation: 515Reputation: 515Reputation: 515Reputation: 515
Quote:
Originally Posted by reddog83 View Post
KDE Plasma 5.27
Released 4 days ago

--snipit--

https://www.debugpoint.com/kde-plasma-5-27/
so now gjs can be upgrade also...
 
Old 01-23-2023, 03:24 AM   #1605
teoberi
Member
 
Registered: Jan 2018
Location: Romania
Distribution: Slackware64-current (servers)/Windows 11/Ubuntu (workstations)
Posts: 622

Rep: Reputation: 361Reputation: 361Reputation: 361Reputation: 361
Postfix 3.7.4

Quote:
* Portability: Linux 6 support.

Last edited by teoberi; 01-23-2023 at 08:09 AM.
 
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Apache 2.4 requests to non-SSL site with "Upgrade-Insecure-Requests: 1" and no trailing / get redirected to default site owendelong Linux - Server 2 06-22-2021 02:08 PM
[SOLVED] Requests for -current (20151216) rworkman Slackware 3441 12-28-2017 03:50 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 07:05 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration